unit EanReg;

interface
uses DsgnIntf;

type
   TEanEditor =class(TDefaultEditor)
   public
   	procedure ExecuteVerb(Index: Integer); override;
   	function GetVerb(Index: Integer): string; override;
   	function GetVerbCount: Integer; override;
   end;

procedure Register;


implementation

uses EanKod,EanDB,EanQR,EanDBQr,Classes;

procedure TEanEditor.ExecuteVerb(Index: Integer);
var E:TCustomEan;
begin
   E:=nil;
   if Component is TCustomEan then E:=TCustomEan(Component);
   if Component is TQrCustomEan then E:=TQrCustomEan(Component).Ean;

   if E<>nil then
	case Index of
		0 : E.Copyright;
                1 : E.ActiveSetupWindow;
	end;
end;

function TEanEditor.GetVerb(Index: Integer): String;
begin
	case Index of
		0 : Result := 'EAN library - PSOFT company 98';
                1 : Result := 'EAN editor';
	end;
end;

function TEanEditor.GetVerbCount: Integer;
begin
	Result:= 2;
end;



procedure Register;
begin
     RegisterComponentEditor(TCustomEAN,   TEanEditor);
     RegisterComponentEditor(TQRCustomEAN, TEanEditor);
     RegisterComponents('EAN components',[TEan,TEanMemo,TDBEan,TDBEanMemo,
                                          TQREan,TQREanMemo,TQRDBEan,TQRDBEanMemo]);
end;

end.
